# Uses of Interface
org.apache.qpid.proton.codec.PrimitiveTypeEncoding

Packages that use PrimitiveTypeEncoding
Package
Description
org.apache.qpid.proton.codec

## Uses of PrimitiveTypeEncoding in org.apache.qpid.proton.codec

Subinterfaces of PrimitiveTypeEncoding in org.apache.qpid.proton.codec
Modifier and Type
Interface
Description
`static interface`
`ArrayType.ArrayEncoding`
`static interface`
`BigIntegerType.BigIntegerEncoding`
`static interface`
`BooleanType.BooleanEncoding`
`static interface`
`IntegerType.IntegerEncoding`
`static interface`
`LongType.LongEncoding`
`static interface`
`StringType.StringEncoding`
`static interface`
`SymbolType.SymbolEncoding`
`static interface`
`UnsignedIntegerType.UnsignedIntegerEncoding`
`static interface`
`UnsignedLongType.UnsignedLongEncoding`
Classes in org.apache.qpid.proton.codec that implement PrimitiveTypeEncoding
Modifier and Type
Class
Description
`class`
`ByteType.ByteEncoding`
`class`
`CharacterType.CharacterEncoding`
`class`
`DoubleType.DoubleEncoding`
`class`
`FloatType.FloatEncoding`
`class`
`ShortType.ShortEncoding`
`class`
`UnsignedByteType.UnsignedByteEncoding`
Methods in org.apache.qpid.proton.codec that return PrimitiveTypeEncoding
Modifier and Type
Method
Description
`PrimitiveTypeEncoding<V>`
PrimitiveType.`getCanonicalEncoding()`
`PrimitiveTypeEncoding<V>`
PrimitiveType.`getEncoding(V val)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type PrimitiveTypeEncoding
Modifier and Type
Method
Description
`Collection<? extends PrimitiveTypeEncoding<V>>`
PrimitiveType.`getAllEncodings()`